*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Courier New', Courier, monospace;
}
section{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    overflow-x: hidden;
}
section .bg{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    pointer-events: none;
}
section .trees{
    position: absolute;
    top: 0;left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    pointer-events: none;
    z-index: 100;
}
section .girl{
    position: absolute;
    scale: 0.65;
    pointer-events: none;
    animation: animateGirl 15s linear infinite;
}
@keyframes animateGirl{
    0%{
        transform: translateX(calc(100% + 100vw));
    }
    50%{
        transform: translateX(calc(-100% - 100vw));
    }
    50.01%{
        transform: translateX(calc(-100% - 100vw)) rotateY(180deg);
    }
    100%{
        transform: translateX(calc(100% + 100vw)) rotateY(180deg);
    }
}
.login{
    position: relative;
    padding: 60px;
    background: rgba(255, 255, 255, 0.25);
    backdrop-filter: blur(15px);
    border: 1px solid #fff;
    border-bottom: 1px solid rgba(255, 255, 255, 0.5);
    border-right: 1px solid rgba(255, 255, 255, 0.5);
    border-radius: 20px;
    width: 500px;
    display: flex;
    flex-direction: column;
    box-shadow: 0 25px 50px rgba(0,0,0,0.1);
}
.login h2{
    position: relative;
    width: 100%;
    text-align: center;
    font-size: 2.5em;
    font-weight: 600;
    color: #8f2c24;
    margin-bottom: 10px;
}
.login .inputBox{
    position: relative;
}
.login .inputBox input{
    position: relative;
    width: 100%;
    padding: 15px 20px;
    outline: none;
    font-size: 1em;
    color: #8f2c24;
    border-radius: 5px;
    border: none;
    margin-bottom: 30px;
}
.login .inputBox input::placeholder{
    color: #8f2c24;
}
.login .inputBox #btn{
    position: relative;
    border: none;
    outline: none;
    background: #8f2c24;
    color: #fff;
    cursor: pointer;
    font-size: 1.25em;
    font-weight: 500;
    transition: .5s;
}
.login .inputBox #btn:hover{
    background: #d64c42;
}
.login .group{
    font-size: 1.25em;
    text-decoration: none;
    color: #8f2c24;
    display: flex;
    justify-content: space-between;
}
.login .group a{
    font-size: 1em;
    color: #8f2c24;
    font-weight: 500;
    text-decoration: none;
}
.login .group a:nth-child(2){
    text-decoration: underline;
}
.leaves{
    position: absolute;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
    pointer-events: none;
}
.leaves .set{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    pointer-events: none;
}
.leaves .set div{
    position: absolute;
    display: block;
}
@keyframes animate{
    0%{
        opacity: 0;
        top:  10%;
        transform: translateX(20px) rotate(0deg);
    }
    10%{
        opacity: 1;
    }
    20%{
        transform: translateX(-20px) rotate(45deg);
    }
    40%{
        transform: translateX(-20px) rotate(90deg);
    }
    60%{
        transform: translateX(-20px) rotate(180deg);
    }
    80%{
        transform: translateX(-20px) rotate(45deg);
    }
    100%{
        top: 110%;
        transform: translateX(20px) rotate(225deg);
    }
}
.leaves .set div:nth-child(1){
    left: 20%;
    animation: animate 20s linear infinite;
    animation-delay: 0;
}
.leaves .set div:nth-child(1){
    left: 50%;
    animation: animate 20s linear infinite;
    animation-delay: 5s;
}
.leaves .set div:nth-child(2){
    left: 70%;
    animation: animate 20s linear infinite;
    animation-delay: 10s;
}
.leaves .set div:nth-child(3){
    left: 5;
    animation: animate 20s linear infinite;
    animation-delay: 12s;
}
.leaves .set div:nth-child(4){
    left: 85%;
    animation: animate 20s linear infinite;
    animation-delay: 6s;
}
.leaves .set div:nth-child(5){
    left: 90%;
    animation: animate 20s linear infinite;
    animation-delay: -5s;
}
.leaves .set div:nth-child(6){
    left: 15%;
    animation: animate 20s linear infinite;
    animation-delay: -4s;
}
.leaves .set div:nth-child(7){
    left: 60%;
    animation: animate 20s linear infinite;
    animation-delay: 8s;
}
.leaves .set div:nth-child(8){
    left: 30%;
    animation: animate 20s linear infinite;
    animation-delay: 1s;
}
.leaves .set div:nth-child(9){
    left: 10%;
    animation: animate 20s linear infinite;
    animation-delay: -3s;
}
.leaves .set div:nth-child(10){
    left: 75%;
    animation: animate 20s linear infinite;
    animation-delay: -6s;
}
.leaves .set div:nth-child(11){
    left:45%;
    animation: animate 20s linear infinite;
    animation-delay: 3s;
}
.leaves .set div:nth-child(12){
    left: 95%;
    animation: animate 20s linear infinite;
    animation-delay: 2s;
}
#btn-login {
    background-color: var(--autumn-orange);
}
#btn-login:hover {
    background-color: var(--autumn-red);
}